namespace OracleFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.Oracle.Entity.Migrations;
    
    public partial class AddDoc : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Docs",
                c => new
                    {
                        Id = c.Int(nullable: false),
                        Text = c.String(maxLength: 200, unicode: false),
                    })
                .PrimaryKey(t => t.Id);

            CreateIndex(
              table: "Docs",
              column: "Text",
              name: "idx_docs",
              anonymousArguments: new OracleCreateIndexConfiguration() {
                CtxIndexType = CtxIndexType.Context,
                CtxParameters = "FILTER CTXSYS.NULL_FILTER SECTION GROUP CTXSYS.HTML_SECTION_GROUP"
              });
        }
        
        public override void Down()
        {
            DropIndex(table: "Docs", name: "idx_docs");
            DropTable("Docs");
        }
    }
}
