namespace OracleFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.Oracle.Entity.Migrations;
    
    public partial class AddAuction : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "auction",
                c => new
                    {
                        item_id = c.Int(nullable: false),
                        Title = c.String(maxLength: 100, unicode: false),
                        category_id = c.Int(nullable: false),
                        Price = c.Decimal(nullable: false, precision: 18, scale: 2),
                        bid_close = c.DateTime(nullable: false),
                    })
                .PrimaryKey(t => t.item_id);

            CreateIndex("auction",
                    "Title",
                    name: "auction_titlex",
                    anonymousArguments: new OracleCreateIndexConfiguration() {
                      CtxIndexType = CtxIndexType.CtxCat,
                      CtxIndexSet = "auction_iset",
                      CtxIndexSetColumns = "price"
                    });
        }
        
        public override void Down()
        {
            DropIndex(table: "auction", name: "auction_titlex",
                  anonymousArguments: new OracleDropIndexConfiguration() {
                    Force = true,
                    CtxIndexSet = "auction_iset"
                  });

            DropTable("auction");
        }
    }
}
