namespace OracleFullTextSearch.Migrations
{
    using System.Data.Entity.Migrations;
    using Devart.Data.Oracle.Entity.Migrations;
    
    public partial class AddQuery : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "Queries",
                c => new
                    {
                        query_id = c.Int(nullable: false),
                        query_string = c.String(maxLength: 80, unicode: false),
                    })
                .PrimaryKey(t => t.query_id);
            
            CreateIndex(
                table: "Queries",
                column: "query_string",
                name: "queryx",
                anonymousArguments: new OracleCreateIndexConfiguration() {
                  CtxIndexType = CtxIndexType.CtxRule
                });
        }
        
        public override void Down()
        {
            DropIndex(table: "Queries", name: "queryx");
            DropTable("Queries");
        }
    }
}
