﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using Devart.Data.Oracle;
using Devart.Data.Oracle.Entity;
using Devart.Data.Oracle.Entity.Configuration;

namespace OracleFullTextSearch {
  public class MyContext : DbContext {

    private OracleCtxDdlPackage ctxDdl;
  
    public MyContext() {
    }

    public MyContext(OracleConnection connection)
      : base(connection, false) {
    }

    static MyContext() {

      var config = Devart.Data.Oracle.Entity.Configuration.OracleEntityProviderConfig.Instance;
      config.Workarounds.DisableQuoting = true;
    }

    protected override void OnModelCreating(DbModelBuilder modelBuilder) {

    }

    public DbSet<Doc> Docs { get; set; }
    public DbSet<Auction> Auctions { get; set; }
    public DbSet<Query> Queries { get; set; }

    public OracleCtxDdlPackage CtxDdl {
      get {
        if (this.ctxDdl == null)
          this.ctxDdl = new OracleCtxDdlPackage((OracleConnection)Database.Connection);
        return this.ctxDdl;
      }
    }

  }
}
